#Scenario name: Conversion of scenario events for the 3000BC scenario

from CvPythonExtensions import CyGame 
from PyScenario import Trigger
import Consts as con

iHandicap = CyGame().getHandicapType() - 1

### City spawns converted from Barbs.py

Trigger(con.iIndependent2).valid().city(73,40,"Sur",1).garrison(eType=con.iArcher,iNum=1)
Trigger(con.iIndependent).valid().city(73,38,"Yerushalayim").garrison(eType=con.iArcher,iNum=3)
Trigger(con.iIndependent2).valid().city(79,40,"Shushan",1).garrison(eType=con.iArcher,iNum=1)
Trigger(con.iBarbarian).valid().year(-2000).city(73,43,"Hattusas",1).garrison(eType=con.iChariot).garrison(eType=con.iArcher)
Trigger(con.iIndependent).valid().year(-2000).city(85,47,"Afrasiyab",1).garrison(eType=con.iArcher,iNum=1)
Trigger(con.iBarbarian).valid().year(-800).city(71,43,"Gordion",1).garrison(None,con.iChariot,1).garrison(eType=con.iArcher)
Trigger(con.iCeltia).valid().year(-700).city(59,47,"Melpum").garrison(eType=con.iArcher)
Trigger(con.iCeltia).valid().turn(117).city(56,47,"Lugodunon")
Trigger(con.iCeltia).valid().year(-300).city(53,48,"Burdigala")
Trigger(con.iIndependent).valid().year(-25).city(109,46,"Hanseong")
Trigger(con.iIndependent2).valid().year(-190).city(77,44,"Artashat",1)
Trigger(con.iCeltia).valid().year(-50).city(55,50,"Lutetia")
Trigger(con.iIndependent).valid().year(100).city(76,30,"Sana'a",1)
Trigger(con.iIndependent2).valid().year(107).city(98,36,"Pagan")
Trigger(con.iCeltia).valid().year(400).city(52,60,"Inbhir Nis")
Trigger(con.iBarbarian).valid().turn(180).city(77,45,"Bak&#252;")
Trigger(con.iBarbarian).valid().year(633).city(96,43,"Lasa")
Trigger(con.iBarbarian).valid().year(866).city(101,37,"Hanoi")
Trigger(con.iNative).valid().year(900).city(24,26,"Tucume",1)
Trigger(con.iCeltia).valid().year(990).city(49,56,"&#193;th Cliath",1) 
#Trigger(con.iIndependent).valid().year(990).city(49,56,"&#193;th Cliath",1) #AD600 version
Trigger(con.iNative).valid().year(1000).city(71,17,"Quelimane",1).garrison(eType=con.iZuluImpi,iNum=1)
Trigger(con.iNative).valid().year(1100).city(71,22,"Mombasa",1).garrison(eType=con.iZuluImpi,iNum=1)
Trigger(con.iBarbarian).valid().year(1200).city(77,55,"Kazan").garrison(eType=con.iHorseArcher,iNum=1).garrison(eType=con.iArcher)
Trigger(con.iNative).valid().year(1483).city(62,20,"Mbanza Kongo",1).garrison(eType=con.iZuluImpi,iNum=1)

### Unit spawns converted from Barbs.py

#animals
Trigger(con.iBarbarian).target((76,46),(99,53)).turn(0,84,5).units(None,None,con.iWarrior)
Trigger(con.iBarbarian).target((75,54),(104,64)).turn(0,84,5,2).units(None,None,con.iWolf)
Trigger(con.iBarbarian).target((75,54),(104,64)).turn(0,84,5,4).units(None,None,con.iBear)
Trigger(con.iBarbarian).target((55,10),(72,29)).turn(0,84,4,1).units(None,None,con.iLion)
Trigger(con.iBarbarian).target((55,10),(72,29)).turn(0,84,4,3).units(None,None,con.iPanther)

#Celts
Trigger(con.iCeltia).target((49,46),(65,52)).turn(97,133,7).units(None,None,con.iCelticGallicWarrior)
Trigger(con.iCeltia).target((49,46),(65,52)).turn(97,133,9,6).units(None,None,con.iAxeman)

#Norse
Trigger(con.iCeltia).target((50,49),(61,65)).turn(97,177,25).units(None,None,con.iGalley).AI("UNITAI_ATTACK_SEA")

#Mongolia
Trigger(con.iBarbarian).target((94,48),(107,54)).turn(127,160,8).units(None,None,con.iHorseArcher,2+iHandicap*2)
Trigger(con.iBarbarian).target((91,50),(107,54)).turn(161,211,7).units(None,None,con.iHorseArcher,3+iHandicap*2)
Trigger(con.iBarbarian).target((94,48),(107,54)).turn(212,231,6).units(None,None,con.iHorseArcher,2+iHandicap)

#Tibet
Trigger(con.iBarbarian).target((92,41),(99,45)).turn(117,231,10-iHandicap,3).units(None,None,con.iSwordsman,1+iHandicap)

#India
Trigger(con.iBarbarian).target((86,31),(100,41)).turn(127,191,6-iHandicap,4).units(None,None,con.iWarElephant)

#Mediterranean 
Trigger(con.iBarbarian).target((49,37),(72,44)).turn(127,144,8).units(None,None,con.iTrireme).AI("UNITAI_ATTACK_SEA")

#Barbary Coast
Trigger(con.iBarbarian).target((46,30),(62,39)).turn(144,191,18).units(None,None,con.iTrireme).AI("UNITAI_ATTACK_SEA")
Trigger(con.iBarbarian).target((46,30),(62,39)).turn(191,261,8).units(None,None,con.iTrireme).AI("UNITAI_ATTACK_SEA")
Trigger(con.iBarbarian).target((46,30),(62,39)).turn(261,321,12).units(None,None,con.iTrireme).AI("UNITAI_ATTACK_SEA")

#Indian Ocean
Trigger(con.iBarbarian).target((72,20),(91,36)).turn(97,191,18).units(None,None,con.iTrireme).AI("UNITAI_ATTACK_SEA")
Trigger(con.iBarbarian).target((72,20),(91,36)).turn(191,321,8).units(None,None,con.iTrireme).AI("UNITAI_ATTACK_SEA")

#Europe
Trigger(con.iBarbarian).target((50,45),(63,52)).turn(127,177,12).units(None,None,con.iAxeman,3+iHandicap)
Trigger(con.iBarbarian).target((64,49),(69,55)).turn(127,177,14,2).units(None,None,con.iAxeman,2+iHandicap)
Trigger(con.iBarbarian).target((58,45),(70,55)).turn(144,177,10,5).units(None,None,con.iSwordsman,3)
Trigger(con.iBarbarian).target((49,41),(56,52)).turn(161,181,6,4).units(None,None,con.iAxeman,4+iHandicap)
Trigger(con.iBarbarian).target((49,41),(57,52)).turn(161,181,6,2).units(None,None,con.iSwordsman,4+iHandicap)
Trigger(con.iBarbarian).target((55,49),(65,53)).turn(161,181,6).units(None,None,con.iHorseArcher,3)
Trigger(con.iBarbarian).target((58,50),(88,53)).turn(161,191,4,2).units(None,None,con.iHorseArcher,3+iHandicap)
Trigger(con.iBarbarian).target((67,45),(79,50)).turn(190,231,6).units(None,None,con.iHorseArcher,3+iHandicap) #not AD600 scenario

#Central Asia
Trigger(con.iBarbarian).target((74,34),(68,48)).turn(50,83,6-iHandicap,2).units(None,None,con.iChariot,2+iHandicap)
Trigger(con.iBarbarian).target((73,34),(79,49)).turn(84,160,7-iHandicap,2).units(None,None,con.iChariot,1+iHandicap)
Trigger(con.iBarbarian).target((73,34),(79,49)).turn(84,160,7-iHandicap,2).units(None,None,con.iHorseArcher,1+iHandicap)
Trigger(con.iBarbarian).target((78,42),(88,50)).turn(161,191,8-iHandicap,2).units(None,None,con.iHorseArcher,3+iHandicap) #not AD600 scenario
Trigger(con.iBarbarian).target((78,42),(90,52)).turn(192,261,6-iHandicap,2).units(None,None,con.iHorseArcher,2+iHandicap) #not AD600 scenario

#Africa
Trigger(con.iBarbarian).target((54,31),(67,35)).turn(127,143,9-iHandicap,3).units(None,None,con.iHorseArcher)
Trigger(con.iBarbarian).target((54,31),(67,35)).turn(144,210,10-iHandicap,5).units(None,None,con.iHorseArcher,2) #not AD600 scenario
Trigger(con.iBarbarian).target((56,29),(70,33)).turn(144,210,10).units(None,None,con.iCamelArcher,2+iHandicap) #not AD600 scenario
Trigger(con.iBarbarian).target((54,27),(67,35)).turn(211,355,8-iHandicap,4).units(None,None,con.iCamelArcher)
Trigger(con.iNative).target((58,24),(72,31)).turn(144,190,6,4).units(None,None,con.iZuluImpi,3+iHandicap).AI("UNITAI_ATTACK")
Trigger(con.iNative).target((60,10),(72,27)).turn(171,321,10,4).units(None,None,con.iZuluImpi,3+iHandicap).AI("UNITAI_ATTACK")
#Trigger(con.iNative).target((60,10),(72,27)).turn(171,321,15,4).units(None,None,con.iZuluImpi,3+iHandicap).AI("UNITAI_ATTACK") #AD600 variant
Trigger(con.iNative).target((48,26),(65,37)).turn(171,321,16,4).units(None,None,con.iWarElephant,2).AI("UNITAI_ATTACK")
Trigger(con.iNative).target((48,22),(63,33)).turn(171,321,16,10).units(None,None,con.iZuluImpi,2).AI("UNITAI_ATTACK")

#Middle-East
Trigger(con.iBarbarian).target((81,37),(87,45)).turn(50,73,7-iHandicap).units(None,None,con.iChariot,2)
Trigger(con.iBarbarian).target((73,30),(82,36)).turn(153,177,9-iHandicap,7).units(None,None,con.iCamelArcher,2)

#America
Trigger(con.iBarbarian).target((15,38),(24,47)).turn(181,231,20).units(None,None,con.iNativeAmericaDogSoldier,2+iHandicap).AI("UNITAI_ATTACK")
Trigger(con.iBarbarian).target((15,38),(24,47)).turn(181,231,20-2*iHandicap,10).units(None,None,con.iAztecJaguar,3)
#Trigger(con.iBarbarian).target((15,38),(24,47)).turn(181,231,20-2*iHandicap,10).units(None,None,con.iAztecJaguar,1) #AD600 variant
Trigger(con.iBarbarian).target((15,38),(24,47)).turn(251,301,8).units(None,None,con.iNativeAmericaDogSoldier,3+iHandicap).AI("UNITAI_ATTACK")
Trigger(con.iNative).target((11,44),(33,51)).turn(261,355,8).units(None,None,con.iNativeAmericaDogSoldier,3+iHandicap).AI("UNITAI_ATTACK")
Trigger(con.iNative).target((11,44),(33,51)).turn(261,355,8,4).units(None,None,con.iNativeAmericaDogSoldier,3+iHandicap).AI("UNITAI_ATTACK")
Trigger(con.iBarbarian).valid(bForeign=True,bAdjacent=True).turn(251,301,18).units(27,29,con.iNativeAmericaDogSoldier,3+iHandicap).AI("UNITAI_ATTACK")
Trigger(con.iBarbarian).valid(bForeign=True,bAdjacent=True).turn(251,301,18,9).units(30,13,con.iNativeAmericaDogSoldier,3+iHandicap).AI("UNITAI_ATTACK")

#Caribbean
Trigger(con.iBarbarian).target((24,32),(35,46)).turn(301,355,5).units(None,None,con.iPrivateer)

#Indian Ocean
Trigger(con.iBarbarian).target((72,24),(110,36)).turn(281,397,8).units(None,None,con.iPrivateer)

### Dynamic terrain converted from Resources.py

Trigger().turn(5).terrain((49,43),eImprovement=con.iHut)

#Europe
Trigger().tiles((53,51),(53,55)).year(450).terrain(eResource=con.iDye) #3000BC only
#Trigger().tiles((53,51),(53,55)).year(600).terrain(eResource=con.iDye) #AD600 only

#Africa
Trigger().tiles((72,24),(70,17),(67,11)).year(1100).terrain(eResource=con.iSugar)
Trigger().tiles((66,23),(67,21)).year(1100).terrain(eResource=con.iBanana)
Trigger().year(1250).terrain((57,52),eResource=con.iWheat)

#America
Trigger().tiles((28,46),(30,49),(25,49),(24,43),(18,46),(11,47),(20,45),(37,14),(33,11),(35,10)).year(1600).terrain(eResource=con.iCow)
Trigger().tiles((24,43),(23,45),(22,44),(13,45)).year(1600).terrain(eResource=con.iCotton)
Trigger().year(1600).terrain((22,49),eResource=con.iPig)
Trigger().tiles((21,50),(19,48)).year(1600).terrain(eResource=con.iWheat)
Trigger().tiles((22,33),(27,31),(43,23),(39,26)).year(1600).terrain(eResource=con.iBanana)
Trigger().tiles((26,45),(21,48),(19,45),(40,25),(33,10),(32,8)).year(1700).terrain(eResource=con.iHorse)
Trigger().tiles((27,36),(39,25),(37,20)).year(1700).terrain(eResource=con.iSugar)
Trigger().tiles((12,45),(31,10)).year(1850).terrain(eResource=con.iWine)
Trigger().year(1850).terrain((19,41),eResource=con.iHorse)
Trigger().year(1850).terrain((11,45),eResource=con.iFish)

#Europe & Manchuria
Trigger().tiles((49,44),(54,48),(67,47),(106,50)).year(1600).terrain(eResource=con.iCorn)

#India & Manchuria
Trigger().tiles((104,52),(89,36)).year(1700).terrain(eResource=con.iCorn)

#Australia & New Zeeland
Trigger().tiles((114,11),(116,13),(121,6)).year(1850).terrain(eResource=con.iSheep)

#Italy and California
Trigger().tiles((58,47),(12,49)).year(1850).terrain(eResource=con.iRice)

